Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.mdi
Class BasicFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          org.gjt.jclasslib.mdi.BasicFileFilter

public class BasicFileFilter
extends FileFilter

Configurable file filter for a `JFileChooser`.

Version:
  $Revision: 1.4 $ $Date: 2003/08/18 07:59:50 $
Author:
  Ingo Kegel

Constructor Summary
`BasicFileFilter(String[] extensions, String description)` Constructor.
`BasicFileFilter(String extension, String description)` Constructor.

Method Summary
`boolean` | `accept(File file)`
`String` | `getDescription()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFileFilter

    public BasicFileFilter(String[] extensions,
                           String description)

  Constructor.

Parameters:
  `extensions` - the file extensions.
  `description` - the description.

### BasicFileFilter

    public BasicFileFilter(String extension,
                           String description)

  Constructor.

Parameters:
  `extension` - the file extension.
  `description` - the description.

Method Detail

### accept

    public boolean accept(File file)

### getDescription

    public String getDescription()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD